package com.sd.business.controller.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.inventory.dto.InventoryFinishedErpImportDataDto;
import com.sd.business.entity.inventory.dto.InventoryFinishedOrderSelectDto;
import com.sd.business.entity.inventory.vo.InventoryFinishedOrderVo;
import com.sd.business.service.inventory.InventoryFinishedOrderService;
import com.sd.framework.util.excel.util.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * <p>
 * 成品仓库订单 前端控制器
 * </p>
 *
 * @author
 * @since 2023-10-11
 */
@RestController
@RequestMapping("/inventoryFinishedOrder")
public class InventoryFinishedOrderController {

    @Autowired
    private InventoryFinishedOrderService inventoryFinishedOrderService;

    /**
     * 成品仓库订单分页
     */
    @PostMapping("/page")
    public Page<InventoryFinishedOrderVo> page(@RequestBody InventoryFinishedOrderSelectDto dto) {
        return inventoryFinishedOrderService.getPage(dto);
    }

    /**
     * 成品仓库订单导出
     */
    @GetMapping("/excelExport")
    public void excelExport(InventoryFinishedOrderSelectDto dto) {
        inventoryFinishedOrderService.excelExport(dto);
    }


    /**
     * 成品仓明细E10模板导出
     */
    @PostMapping("/erpExcelExport")
    public void erpExcelExport(MultipartFile file) {
        List<InventoryFinishedErpImportDataDto> list = ExcelUtil.read(file, 0, InventoryFinishedErpImportDataDto.class);
        inventoryFinishedOrderService.erpExcelExport(list);
    }
}
