package com.sd.business.controller.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.order.dto.SkuSpecPackageBomDto;
import com.sd.business.entity.order.vo.OrderSkuVo;
import com.sd.business.entity.production.dto.ProductionExceedReceiveDto;
import com.sd.business.entity.production.dto.ProductionExceedReceiveSkuSelectDto;
import com.sd.business.entity.production.vo.OutBomVo;
import com.sd.business.entity.production.vo.ProductionExceedReceiveSkuVo;
import com.sd.business.service.order.OrderSkuService;
import com.sd.business.service.production.ProductionExceedReceiveService;
import com.sd.business.service.production.ProductionExceedReceiveSkuService;
import com.sd.business.service.sku.SkuSpecService;
import com.sd.framework.util.excel.util.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 生产超领
 */
@RestController
@RequestMapping("/productionExceedReceive")
public class ProductionExceedReceiveController {

    @Autowired
    private OrderSkuService orderSkuService;

    @Autowired
    private SkuSpecService skuSpecService;

    @Autowired
    private ProductionExceedReceiveService productionExceedReceiveService;

    @Autowired
    private ProductionExceedReceiveSkuService productionExceedReceiveSkuService;

    /**
     * 生产超领明细分页
     */
    @PostMapping("/page")
    public Page<ProductionExceedReceiveSkuVo> page(@RequestBody ProductionExceedReceiveSkuSelectDto dto) {
        return productionExceedReceiveSkuService.getPage(dto);
    }

    /**
     * 生产超领明细导出
     * @return
     */
    @PostMapping("/exceedReceiveExportExcel")
    public void exceedReceiveExportExcel(HttpServletResponse response, @RequestBody ProductionExceedReceiveSkuSelectDto dto) {
        dto.setSearchAll(true);
        Page<ProductionExceedReceiveSkuVo> page = productionExceedReceiveSkuService.getPage(dto);
        List<ProductionExceedReceiveSkuVo> list = page.getRecords();
        ExcelUtil.export(response,"生产超领明细数据", "明细数据", list, ProductionExceedReceiveSkuVo.class);
    }

    /**
     * 生产超领
     */
    @PostMapping("/exceedReceive")
    public void exceedReceive(@Validated @RequestBody ProductionExceedReceiveDto dto) {
        productionExceedReceiveService.exceedReceive(dto);
    }

    /**
     * 获取订单sku列表
     */
    @PostMapping("/getOrderSkuList")
    public List<OrderSkuVo> getOrderSkuList(@RequestBody BaseSelectDto dto) {
        return orderSkuService.getOrderSkuList(dto.getId());
    }

    /**
     * 获取sku所有材料明细列表
     */
    @PostMapping("/getSkuSpecMaterialList")
    public List<OutBomVo> getSkuSpecMaterialList(@RequestBody SkuSpecPackageBomDto dto) {
        return skuSpecService.getSkuSpecMaterialList(dto);
    }

    /**
     * 生产错误超领
     */
    @PostMapping("/errorExceedReceive")
    public void errorExceedReceive(@Validated @RequestBody ProductionExceedReceiveDto dto) {
        productionExceedReceiveService.errorExceedReceive(dto);
    }

    /**
     * 补单超领生产
     */
    @PostMapping("/replenishExceedReceive")
    public void replenishExceedReceive(@Validated @RequestBody ProductionExceedReceiveDto dto) {
        productionExceedReceiveService.replenishExceedReceive(dto);
    }
}
