package com.sd.business.entity.board.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;


/**
 * 周转率统计数据查询返回值实体
 *
 * @since 2023-10-20
 */
@Getter
@Setter
@ExcelIgnoreUnannotated
public class TurnoverRateStatisticsVo {

    /**
     * 品号
     */
    @ExcelProperty(value = "品号", index = 0)
    private String bomSpecCode;

    /**
     * 种类 字典:bom_species
     */
    @ExcelProperty(value = "种类", index = 1)
    private String species;

    /**
     * 售价体系 字典:bom_sellingPriceSystem
     */
    @ExcelProperty(value = "等级", index = 2)
    private String sellingPriceSystem;

    /**
     * 色层 字典:bom_chromatophore
     */
    @ExcelProperty(value = "色层", index = 3)
    private String chromatophore;

    /**
     * 正面纹路 字典:bom_frontGrain
     */
    @ExcelProperty(value = "正面纹路", index = 4)
    private String frontGrain;

    /**
     * 背面纹路 字典:bom_reverseGrain
     */
    @ExcelProperty(value = "背面纹路", index = 5)
    private String reverseGrain;

    /**
     * 颜色
     */
    @ExcelProperty(value = "颜色", index = 6)
    private String colour;

    /**
     * 宽
     */
    @ExcelProperty(value = "宽度", index = 7)
    private BigDecimal width;

    /**
     * 高
     */
    @ExcelProperty(value = "厚度", index = 8)
    private BigDecimal height;

    /**
     * 周转率
     */
    @ExcelProperty(value = "30天周转次数", index = 9)
    private BigDecimal turnoverRateThirtyDays;

    /**
     * 30天销售量
     */
    @ExcelProperty(value = "30天销售量", index = 10)
    private BigDecimal salesQuantityThirtyDays;

    /**
     * 周转率
     */
    @ExcelProperty(value = "60天周转次数", index = 11)
    private BigDecimal turnoverRateSixtyDays;

    /**
     * 60天销售量
     */
    @ExcelProperty(value = "60天销售量", index = 12)
    private BigDecimal salesQuantitySixtyDays;

    /**
     * 周转率
     */
    @ExcelProperty(value = "90天周转次数", index = 13)
    private BigDecimal turnoverRateNinetyDays;

    /**
     * 90天销售量
     */
    @ExcelProperty(value = "90天销售量", index = 14)
    private BigDecimal salesQuantityNinetyDays;

    /**
     * 库存数量
     */
    @ExcelProperty(value = "库存数量", index = 15)
    private BigDecimal quantity;

    /**
     * 预计消耗天
     */
    @ExcelProperty(value = "预计消耗天", index = 16)
    private BigDecimal predictOutStorageDays;
}
