package com.sd.wln.entity;

import com.alibaba.fastjson2.JSONObject;
import lombok.Getter;
import lombok.Setter;

/**
 * 查询售后订单参数实体类
 */
@Getter
@Setter
public class ReturnParam extends Signature {

    /**
     * 万里牛系统售后单(SH开头)
     */
    private String bill_code;

    /**
     * 开始时间,仅支持近3个月内售后单查询
     */
    private Long start_time;

    /**
     * 结束时间,仅支持与开始时间间隔7天,默认与查询开始时间间隔7天
     */
    private Long end_time;

    /**
     * 时间类型 1:创建时间 2:处理时间 3:完成时间 6:退款完成时间 7:系统级别修改时间 默认为1
     */
    private Integer time_type;

    /**
     * 仓库编码
     */
    private String storage_code;

    /**
     * 扩展字段 为JSON格式
     * {"status":1}
     */
    private JSONObject ext;
}